Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Interface VerifiableAgentDirectoryService

All Superinterfaces:
  AblePlatformService, AblePlatformServiceEventGenerator, javax.agent.service.directory.AgentDirectoryService, javax.agent.service.Service

All Known Implementing Classes:
  RMIVerifiableDirectoryProxy

public interface VerifiableAgentDirectoryService
extends javax.agent.service.directory.AgentDirectoryService, AblePlatformService

A platform entity will grab a RMIVerifiableDirectoryProxy to communicate to the VerifiableDirectoryService. The proxy is coded to that interface. It has the new Verifiable register, deregister, and modify methods, but also has the original AgentDirectoryService register, deregister and modify, search and createAgentDescription methods.

Since the `RMIVerifiableDirectoryService` interface has the same methods as the `AgentDirectoryService` intergace, this interface will just extend `AgentDirectoryService`.

Field Summary
`static java.lang.String[]` | `COLUMN_NAMES` The column names and types of the table that this service will persist to.
`static java.lang.String[]` | `COLUMN_TYPES`
`static java.lang.String` | `PUBLIC_KEY` Key for JAS Agent Description attributes added by ABLE.
`static java.lang.String` | `SERVICE_PATH` The well-known service path and type.
`static java.lang.String` | `SERVICE_TYPE`

Method Summary
`void` | `deregister(javax.agent.service.directory.AgentDescription theAgentDescription, AbleSecureKey key)` Deregister `theAgentDescription` from the VerifiableAgentDirectoryService.
`void` | `modify(javax.agent.service.directory.AgentDescription theAgentDescription, AbleSecureKey key)` Modify `theAgentDescription` in the VerifiableAgentDirectoryService.
`void` | `register(javax.agent.service.directory.AgentDescription theAgentDescription, AbleSecureKey key)` Register `theAgentDescription` to the VerifiableAgentDirectoryService.

Methods inherited from interface javax.agent.service.directory.AgentDirectoryService
`createAgentDescription, deregister, modify, register, search, search`

Methods inherited from interface javax.agent.service.Service
`getServiceProperties, setServiceProperties`

Methods inherited from interface com.ibm.able.platform.AblePlatformService
`getState, terminateService`

Methods inherited from interface com.ibm.able.platform.AblePlatformServiceEventGenerator
`addAblePlatformServiceEventListener, getAblePlatformServiceEventListeners, removeAblePlatformServiceEventListener`

Field Detail

### SERVICE_PATH

    public static final java.lang.String SERVICE_PATH

  The well-known service path and type.

  See Also:
    Constant Field Values

### SERVICE_TYPE

    public static final java.lang.String SERVICE_TYPE

See Also:
  Constant Field Values

### PUBLIC_KEY

    public static final java.lang.String PUBLIC_KEY

  Key for JAS Agent Description attributes added by ABLE.

  See Also:
    Constant Field Values

### COLUMN_NAMES

    public static final java.lang.String[] COLUMN_NAMES

  The column names and types of the table that this service will persist to.

### COLUMN_TYPES

    public static final java.lang.String[] COLUMN_TYPES

Method Detail

### register

    public void register(javax.agent.service.directory.AgentDescription theAgentDescription,
                         AbleSecureKey key)
                  throws javax.agent.service.directory.AlreadyRegisteredException,
                         javax.agent.service.directory.DirectoryFailure

  Register `theAgentDescription` to the VerifiableAgentDirectoryService.

  This method should only be called when the RMIVerifiableDirectorySystem is running in a secure platform.

  An agent is only allowed to register its own agent description.

  If successfully registered, all registered listeners will be notified of this newly registered agent description.

  Parameters:
    `theAgentDescription` - The agent description to be registered.

    `key` - The AbleSecureKey used to secure the communication.

  Throws:
    `javax.agent.service.directory.AlreadyRegisteredException` - If `theAgentDescription` is already registered.

    `javax.agent.service.directory.DirectoryFailure` -

    If the platform is not running secure.

    If the agent description that is to be registered does not belong to the agent trying to register it.

### deregister

    public void deregister(javax.agent.service.directory.AgentDescription theAgentDescription,
                           AbleSecureKey key)
                    throws javax.agent.service.directory.NotRegisteredException,
                           javax.agent.service.directory.DirectoryFailure

  Deregister `theAgentDescription` from the VerifiableAgentDirectoryService.

  This method should only be called when the RMIVerifiableDirectorySystem is running in a secure platform.

  An agent is only allowed to deregister its own agent description.

  If successfully deregistered, all registered listeners will be notified of this deregistered agent description.

  Parameters:
    `theAgentDescription` - The agent description to be deregistered.

    `key` - The AbleSecureKey used to secure the communication.

  Throws:
    `javax.agent.service.directory.NotRegisteredException` - If `theAgentDescription` is not currently registered.

    `javax.agent.service.directory.DirectoryFailure` -

    If the platform is not running secure.

    If the agent description that is to be deregistered does not belong to the agent trying to deregister it.

### modify

    public void modify(javax.agent.service.directory.AgentDescription theAgentDescription,
                       AbleSecureKey key)
                throws javax.agent.service.directory.NotRegisteredException,
                       javax.agent.service.directory.DirectoryFailure

  Modify `theAgentDescription` in the VerifiableAgentDirectoryService.

  This method should only be called when the RMIVerifiableDirectorySystem is running in a secure platform.

  An agent is only allowed to modify its own agent description.

  If successfully modified, all registered listeners will be notified of this changed agent description.

  Parameters:
    `theAgentDescription` - The agent description to be modified.

    `key` - The AbleSecureKey used to secure the communication.

  Throws:
    `javax.agent.service.directory.NotRegisteredException` - If `theAgentDescription` is not currently registered.

    `javax.agent.service.directory.DirectoryFailure` -

    If the platform is not running secure.

    If the agent description that is to be modified does not belong to the agent trying to modify it.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005